QGIS Application - Bug report #4720
cfloat32/64 or cint16/32 rasters do not show in QGIS canvas
2011-12-30 06:31 AM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee:

Category: Rasters

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: wontfix
Crashes QGIS or corrupls data: Copied to github as #: 14601
Description

The attached raster was first imported into GRASS then exported with r.out.gdal as cfloat32/geotiff.

The result freezes QGIS when adding it to a project.

History

#1 - 2011-12-30 08:29 AM - Giovanni Manghi
- Subject changed from opening a cfloat32 raster freezes QGIS to opening a cfloat32/64 or cint16/32 raster freezes QGIS

Same happens with cfloat64 and cint16/32

#2 - 2012-04-15 08:46 AM - Giovanni Manghi
- Priority changed from 6 to High

#3 - 2012-04-16 06:32 AM - Paolo Cavallini
- Target version changed from Version 1.7.4 to Version 1.8.0

#4 - 2012-09-04 11:55 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0
#5 - 2012-10-05 06:36 AM - Giovanni Manghi
- Subject changed from opening a cfloat32/64 or cint16/32 raster freezes QGIS to cfloat32/64 or cint16/32 rasters do not show in QGIS canvas

- Crashes QGIS or corrupts data changed from Yes to No
- Priority changed from High to Low

No more freezes in qgis master, but the rasters do not show in canvas. In raster properties the stats seems to be correctly computed as are histograms.

#6 - 2012-10-05 11:20 AM - Giovanni Manghi
- Resolution set to wontfix

- Status changed from Open to Closed

Not supported formats. The suggested solution is o remove the options that allow to obtain that outputs from the r.out.gdal module in the GRASS plugin.

2024-04-20 12




Files

cfloat32.tif.tar.gz 283 KB 2011-12-30 Giovanni Manghi
